Developer Portal
Breadcrumbs

Close / Cancel / Delete of Stock Advice

Close Stock Advice

The process of closing a stock advice depends on its current status.


Closing a stock advice in the “awaiting_inbound" status:

If a stock advice is closed while in the “awaiting_inboud” status, the notice processing is effectively canceled or paused.

  • The warehouse will not start processing the stock advice.

  • The warehouse will not expect any goods related to this notice.


Closing a stock advice in the “partially_finished" status:

When a stock advice is in the “partially_finished” status, some goods have already been received, but others are still missing. At this stage, you have two options:

  1. Complete the shipment – Ensure the remaining goods are delivered if they are essential.

  2. Close the Stock Advice – Mark the process as completed, even if some goods are missing.


Request structure

Endpoint:

PUT /api/stock-advice/close/{id}

URL (prod):

https://app.mailship.eu/api/stock-advice/close/{id}

Headers:

Authorization: Bearer YOUR_ACCESS_TOKEN
Accept: application/json

Request body:

None (this request does not require a body).

Request Example (cURL):

curl --location --request PUT "https://app.mailship.eu/api/stock-advice/close/bca5d1d2-96ff-4c44-b14e-21becc91f8ac" \
--header "Authorization: Bearer {{token}}"

Path parameter:

Parameter

Type

Required

Description

id

string

The unique stock advice identifier. Example: bca5d1d2-96ff-4c44-b14e-21becc91f8ac


Response

If successful, the API returns the stock advice entity in JSON format.

See more details in the API Doc.



Cancel Multiple Stock Advices

Cancels an stock advice in Mailship. The stock advices are deleted from the system.


Request structure

Endpoint:

PUT /api/stock-advice/cancel

URL (prod):

https://app.mailship.eu/api/stock-advice/cancel

Headers:

Authorization: Bearer YOUR_ACCESS_TOKEN
Accept: application/json

Request body:

An array of stock advice IDs for cancellation.

Request Example (cURL):

curl --location --request PUT "https://app.mailship.eu/api/stock-advice/cancel" \
--header "Authorization: Bearer {{token}}"
--data "{
  \"stockAdvices\": [
    \"bca5d1d2-96ff-4c44-b14e-21becc91f8ac\",
    \"0a562689-735c-46fe-afa8-9a3d07b68c6e\"
  ]
}"

Path parameter:

Parameter

Type

Required

Description

id

string

The unique stock advice identifier. Example: bca5d1d2-96ff-4c44-b14e-21becc91f8ac

 

Response

If successful, the API returns 204 No Content.

See more details in the API Doc.



Delete Stock Advice

Permanently removes an stock advice from Mailship.


Request structure

Endpoint:

DELETE /api/stock-advice/{id}

URL (prod):

https://app.mailship.eu/api/stock-advice/{id}

Headers:

Authorization: Bearer YOUR_ACCESS_TOKEN
Accept: application/json

Request body:

None (this request does not require a body).

Request Example (cURL):

curl --location --request DELETE "https://app.mailship.eu/api/stock-advice/bca5d1d2-96ff-4c44-b14e-21becc91f8ac" \
--header "Authorization: Bearer {{token}}"

Path parameter:

Parameter

Type

Required

Description

id

string

The unique stock advice identifier. Example: bca5d1d2-96ff-4c44-b14e-21becc91f8ac

 

Response

If successful, the API returns 204 No Content.

See more details in the API Doc.